import { ref } from "vue";
import { getLevelsByParentId } from "@/request/data_dictionary.js";
import { post, upload } from "@/request/axios.js";

export const layoutFnGetScrapType = async () => {
  const resData = await getLevelsByParentId({
    parentId: "78452f4ec77e4d98ae8cdd9c3386ae0c",
  });
  return ref(resData);
};

export const getScrapManageList = (params) =>
  post("/scrapmanage/list", params); // 报废管理列表

export const setScrapManageDelete = (params) =>
  post("/scrapmanage/delete", params); // 报废管理列表

export const setScrapManageAdd = (params) =>
  upload("/scrapmanage/add", params); // 过户管理添加

export const setScrapManageEdit = (params) =>
  upload("/scrapmanage/goEdit", params); // 过户管理修改

export const findByIdScrapManageInfo = (params) =>
  post("/scrapmanage/goEdit", params); // 查看过户信息

export const getOperationVehicleList = (params) =>
  upload("/operatingvehicles/operationvehicleList", params);  // 获取所有车船税


